LAPACK Archives

[Lapack] lapack 32bit ?

Hi,

I have this problem when compiling lapack on 32bit ubuntu:

g++ -L/usr/lib -lXext -lX11 -ljpeg -lm -lpthread -llapack -lgsl 
-lgslcblas -o pmvs2 pmvs2.o camera.o image.o photo.o photoSetS.o 
detectFeatures.o detector.o dog.o expand.o filter.o findMatch.o harris.o 
optim.o option.o patch.o patchOrganizerS.o point.o seed.o mylapack.o 
-L/usr/lib -lXext -lX11 -ljpeg -lm -lpthread -llapack -lgsl -lgslcblas
/usr/bin/ld: skipping incompatible /usr/lib/liblapack.so when searching 
for -llapack
/usr/bin/ld: skipping incompatible /usr/lib/liblapack.so when searching 
for -llapack
/usr/bin/ld: skipping incompatible 
/usr/lib/gcc/i486-linux-gnu/4.4.3/../../../../lib/liblapack.so when 
searching for -llapack
/usr/bin/ld: skipping incompatible /usr/lib/../lib/liblapack.so when 
searching for -llapack
/usr/bin/ld: skipping incompatible 
/usr/lib/gcc/i486-linux-gnu/4.4.3/../../../liblapack.so when searching 
for -llapack
/usr/bin/ld: skipping incompatible /usr/lib/liblapack.so when searching 
for -llapack
/usr/bin/ld: cannot find -llapack


Apparently it is because liblapack.so is 64bit and the system is 32bit. 
How do I solve this problem?

Thank you very very much!


Br,
  Fredrik Hollsten

<Prev in Thread] Current Thread [Next in Thread>


For additional information you may use the LAPACK/ScaLAPACK Forum.
Or one of the mailing lists, or